<?php


function event_create($e_code, $e_name, $e_type, $token){
    
    
                $event_data = array(
                'data'=> [
                array(
                'Campaign_Name' => $e_name,
                'Type' => $e_type,
                'event_code' => $e_code,
                'Status' => 'Active'
                         )]
                            );

            $curl = curl_init();
            
            curl_setopt_array($curl, array(
              CURLOPT_URL => 'https://www.zohoapis.in/crm/v6/Campaigns',
              CURLOPT_RETURNTRANSFER => true,
              CURLOPT_ENCODING => '',
              CURLOPT_MAXREDIRS => 10,
              CURLOPT_TIMEOUT => 0,
              CURLOPT_FOLLOWLOCATION => true,
              CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
              CURLOPT_CUSTOMREQUEST => 'POST',
              CURLOPT_POSTFIELDS => json_encode($event_data),
              CURLOPT_HTTPHEADER => array(
                "Authorization: Zoho-oauthtoken $token",
                "Content-Type: application/json"
              ),
            ));
            
            $response = curl_exec($curl);
            
            curl_close($curl);
            
            $e_response = json_decode($response);
            
            $campaign_id = $e_response->data[0]->details->id;
            
            return $campaign_id;
            
        
    
}


function event_search($e_code, $token){
    
$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => "https://www.zohoapis.in/crm/v6/Campaigns/search?criteria=((event_code:equals:$e_code))",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    "Authorization: Zoho-oauthtoken $token")

));

$response = curl_exec($curl);

curl_close($curl);

return json_decode($response);

}



?>